using System;
using System.Collections.Generic;
using Terraria;
using Terraria.ModLoader;

namespace DeadpoolMod.Items.Armor
{
	public class Deadpoolsmask : ModItem
	{
		public override bool Autoload(ref string name, ref string texture, IList<EquipType> equips)
		{
			equips.Add(EquipType.Head);
			return true;
		}

        public override void SetDefaults()
        {
            item.name = "Deadpool's Mask";
            item.width = 20;
            item.height = 22;
            item.toolTip = "If you looked like Ryan Reynolds crossed with a Shar-pei, you'd understand";
            item.value = 0;
            item.rare = 100;
            item.defense = 50;
        }

        public override bool IsArmorSet(Item head, Item body, Item legs)
        {
            return body.type == mod.ItemType("Deadpoolsshirt") && legs.type == mod.ItemType("Deadpoolspants");
        }

        public override void UpdateArmorSet(Player player)
        {
            player.setBonus = "Healing Factor";
            player.lifeRegen = 500;
        }

        public override void AddRecipes()
        {
            ModRecipe recipe = new ModRecipe(mod);
            recipe.AddIngredient(Terraria.ID.ItemID.TissueSample, 100);
            recipe.AddIngredient(null, "Chimichanga");
            recipe.SetResult(this);
            recipe.AddRecipe();
        }
    }
}