using System;
using System.Collections.Generic;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace DeadpoolMod.Items.Armor
{
    public class Deadpoolsshirt : ModItem
    {
        public override bool Autoload(ref string name, ref string texture, IList<EquipType> equips)
        {
            equips.Add(EquipType.Body);
            return true;
        }

        public override void SetDefaults()
        {
            item.name = "Deadpool's Shirt";
            item.width = 24;
            item.height = 20;
            item.toolTip = "Good thing it's not green, or animated";
            item.value = 0;
            item.rare = 100;
            item.defense = 70;
        }

        public override void UpdateEquip(Player player)
        {
            player.buffImmune[BuffID.Bleeding] = true;
        }

        public override void AddRecipes()
        {
            ModRecipe recipe = new ModRecipe(mod);
            recipe.AddIngredient(Terraria.ID.ItemID.TissueSample, 150);
            recipe.AddIngredient(null, "Chimichanga", 2);
            recipe.SetResult(this);
            recipe.AddRecipe();
        }
    }
}